# This file created by conda-build 3.15.1
# meta.yaml template originally from:
# C:\ci\containers\00001srktkf\tmp\build\80754af9\rsync-recipes\luigi-2.7.9-python_3.6-on-winbuilder, last modified Sun Sep 30 22:26:25 2018
# ------------------------------------------------

package:
    name: luigi
    version: 2.7.9
source:
    sha256: 078d94cb5771505c493ce4f53c2079ba8c4f71c9083bd76d046e51431ec55695
    url: https://github.com/spotify/luigi/archive/2.7.9.tar.gz
build:
    entry_points:
        - luigi = luigi.cmdline:luigi_run
        - luigi-deps = luigi.tools.deps:main
        - luigi-deps-tree = luigi.tools.deps_tree:main
        - luigi-grep = luigi.tools.luigi_grep:main
        - luigid = luigi.cmdline:luigid
    noarch: false
    number: '0'
    script: C:\ci\luigi_1538364860623\_h_env\python.exe -m pip install . --no-deps
        --ignore-installed --no-cache-dir -vvv
    string: py36_0
requirements:
    host:
        - certifi 2018.8.24 py36_1
        - pip 10.0.1 py36_0
        - python 3.6.6 hea74fb7_0
        - setuptools 40.2.0 py36_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.15.26706 h3a45250_0
        - wheel 0.31.1 py36_0
        - wincertstore 0.2 py36h7fe50ca_0
    run:
        - python >=3.6,<3.7.0a0
        - setuptools
        - tornado >=4.0,<6
test:
    commands:
        - luigi --help
        - luigid --help
        - luigi-grep --help
        - luigi-deps --help
        - luigi-deps-tree --help
    imports:
        - luigi
        - luigi.contrib
        - luigi.contrib.hdfs
        - luigi.scheduler
        - luigi.tools
    requires:
        - botocore
about:
    description: 'Luigi handles dependency resolution, workflow management, visualization,

        handling failures, command line integration, and much more. It also comes

        with Hadoop support built in.

        '
    dev_url: https://github.com/spotify/luigi
    doc_url: https://luigi.readthedocs.io/en/stable/
    home: https://github.com/spotify/luigi
    license: Apache-2.0
    license_family: Apache
    license_file: LICENSE
    summary: Workflow mgmgt + task scheduling + dependency resolution.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - kwilcox
        - nehaljwani
        - ocefpaf
